#ifndef __TestMapTile_h__
#define __TestMapTile_h__

#include <inttypes.h>

#include "Syndicate/Data/MapTile.h"

static const char *ref_tile_filename = "HBLK01.DAT";
static const unsigned ref_tile_index = 120;
static const uint8_t ref_tile_data[Syndicate::Data::MapTile::_height *
				   Syndicate::Data::MapTile::_width] =
  { 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x01, 0x01,
    0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0x02, 0x02, 0x09, 0x09, 0x01, 0x01, 0x01, 0x01, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x09, 0x09, 0x02, 0x00,
    0x00, 0x02, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0x01, 0x04, 0x0c, 0x04, 0x01, 0x01, 0x01, 0x01,
    0x02, 0x00, 0x00, 0x08, 0x08, 0x02, 0x02, 0x02, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x01, 0x04, 0x0c, 0x0c, 0x04, 0x01,
    0x01, 0x01, 0x02, 0x00, 0x00, 0x08, 0x02, 0x02, 0x08, 0x08, 0x01, 0x01,
    0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x01, 0x04, 0x0c, 0x0c,
    0x04, 0x01, 0x01, 0x01, 0x02, 0x00, 0x00, 0x08, 0x08, 0x08, 0x08, 0x08,
    0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x01, 0x02, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x01, 0x01,
    0x04, 0x0c, 0x04, 0x01, 0x01, 0x01, 0x02, 0x00, 0x00, 0x08, 0x02, 0x02,
    0x08, 0x08, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x01,
    0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x00, 0x00, 0x08,
    0x08, 0x08, 0x08, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02,
    0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x01, 0x02, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02,
    0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x02,
    0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x01,
    0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x09, 0x01,
    0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02,
    0x08, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02,
    0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x01, 0x02, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x02, 0x09, 0x01, 0x01, 0x02, 0x02, 0x08, 0x02, 0x02, 0x01, 0x01,
    0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x02,
    0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x01,
    0x02, 0x02, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x09, 0x01, 0x02, 0x02, 0x08, 0x02,
    0x02, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x01, 0x02, 0x02,
    0x08, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02,
    0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x01, 0x02, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x09, 0x02,
    0x02, 0x08, 0x02, 0x02, 0x01, 0x02, 0x02, 0x08, 0x02, 0x02, 0x01, 0x01,
    0x02, 0x02, 0x08, 0x02, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x02,
    0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x02,
    0x02, 0x02, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x09, 0x02, 0x01,
    0x01, 0x01, 0x09, 0x02, 0x02, 0x08, 0x02, 0x01, 0x02, 0x02, 0x08, 0x02,
    0x02, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x01, 0x02, 0x02,
    0x08, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02,
    0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x01, 0x02, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x01, 0x02,
    0x02, 0x08, 0x02, 0x02, 0x01, 0x02, 0x02, 0x08, 0x02, 0x01, 0x02, 0x02,
    0x02, 0x02, 0x08, 0x02, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x02,
    0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x02,
    0x02, 0x02, 0xff, 0xff, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x04, 0x04, 0x0c, 0x0c,
    0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x04, 0x04, 0x01, 0x01, 0x02,
    0x02, 0x01, 0x08, 0x08, 0x02, 0x02, 0x01, 0x02, 0x02, 0x02, 0x08, 0x08,
    0x02, 0x02, 0x01, 0x02, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x02,
    0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x02, 0x09, 0x09, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x02, 0x02, 0x02, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02,
    0x01, 0x02, 0x02, 0x02, 0x02, 0x08, 0x02, 0x02, 0x01, 0x02, 0x02, 0x02,
    0x02, 0x08, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02, 0x01, 0x01,
    0x09, 0x09, 0x09, 0x09, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x02, 0x02,
    0x02, 0x08, 0x02, 0x02, 0x02, 0x02, 0x02, 0x08, 0x02, 0x02, 0x01, 0x01,
    0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x02, 0x02, 0x02, 0x08, 0x08,
    0x02, 0x02, 0x01, 0x02, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x02,
    0x01, 0x01, 0x01, 0x01, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x03, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x02, 0x08, 0x02, 0x01, 0x02, 0x02, 0x08, 0x02, 0x02, 0x01, 0x02, 0x02,
    0x08, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x02, 0x08, 0x02, 0x02,
    0x01, 0x02, 0x02, 0x02, 0x02, 0x08, 0x02, 0x02, 0x02, 0x02, 0x02, 0x02,
    0x02, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x09, 0x09, 0x04, 0x09,
    0x04, 0x09, 0x09, 0x09, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x09, 0x09, 0x02, 0x08, 0x02, 0x02, 0x01, 0x02, 0x02, 0x08,
    0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x01,
    0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x02, 0x02, 0x02, 0x08, 0x08,
    0x02, 0x02, 0x02, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x04,
    0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x09, 0x01, 0x09, 0x02, 0x08, 0x02,
    0x02, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02,
    0x02, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x02, 0x08, 0x02, 0x02,
    0x02, 0x02, 0x01, 0x02, 0x01, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x04, 0x04, 0x02, 0x09, 0x04, 0x09, 0x09, 0x04, 0x09, 0x09, 0x04,
    0x09, 0x09, 0x09, 0x09, 0x01, 0x01, 0x01, 0x01, 0x01, 0x02, 0x09, 0x01,
    0x01, 0x09, 0x02, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08,
    0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x02,
    0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x02, 0x02, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x04, 0x04, 0x09, 0x09, 0x02, 0x09, 0x09, 0x09, 0x09,
    0x04, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x01, 0x01,
    0x01, 0x02, 0x09, 0x01, 0x01, 0x01, 0x09, 0x09, 0x08, 0x08, 0x02, 0x02,
    0x01, 0x01, 0x02, 0x02, 0x02, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02,
    0x02, 0x08, 0x02, 0x02, 0x02, 0x01, 0x01, 0x02, 0x01, 0x02, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x04, 0x04, 0x02, 0x02, 0x09, 0x09, 0x09,
    0x09, 0x04, 0x09, 0x04, 0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x09, 0x09, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x09, 0x09,
    0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x01, 0x02, 0x02, 0x08, 0x08,
    0x02, 0x02, 0x01, 0x02, 0x02, 0x02, 0x08, 0x08, 0x01, 0x01, 0x02, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x04, 0x04, 0x09, 0x09, 0x02,
    0x02, 0x02, 0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09,
    0x09, 0x04, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x02, 0x02,
    0x09, 0x09, 0x01, 0x01, 0x01, 0x01, 0x02, 0x02, 0x02, 0x08, 0x02, 0x02,
    0x01, 0x01, 0x02, 0x02, 0x02, 0x08, 0x02, 0x02, 0x02, 0x01, 0x01, 0x01,
    0x01, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x04, 0x04, 0x02,
    0x02, 0x09, 0x09, 0x09, 0x02, 0x02, 0x02, 0x09, 0x09, 0x0d, 0x09, 0x09,
    0x04, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x04, 0x09, 0x09, 0x09, 0x04,
    0x09, 0x09, 0x04, 0x09, 0x01, 0x01, 0x01, 0x01, 0x04, 0x0c, 0x04, 0x01,
    0x02, 0x02, 0x08, 0x08, 0x02, 0x02, 0x01, 0x02, 0x02, 0x02, 0x08, 0x08,
    0x01, 0x01, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x04,
    0x04, 0x0b, 0x09, 0x02, 0x02, 0x02, 0x09, 0x09, 0x09, 0x02, 0x02, 0x02,
    0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x01, 0x01,
    0x01, 0x04, 0x0c, 0x0c, 0x04, 0x01, 0x02, 0x02, 0x02, 0x08, 0x02, 0x02,
    0x02, 0x01, 0x01, 0x01, 0x01, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x04, 0x04, 0x02, 0x02, 0x03, 0x0b, 0x09, 0x02, 0x02, 0x02, 0x09,
    0x09, 0x09, 0x02, 0x02, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x04,
    0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09,
    0x04, 0x09, 0x09, 0x09, 0x01, 0x01, 0x01, 0x04, 0x0c, 0x0c, 0x04, 0x01,
    0x02, 0x02, 0x08, 0x08, 0x02, 0x01, 0x02, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x04, 0x0b, 0x03, 0x02, 0x05, 0x02, 0x03, 0x0b,
    0x09, 0x02, 0x05, 0x02, 0x09, 0x09, 0x09, 0x02, 0x0d, 0x0d, 0x0d, 0x09,
    0x09, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x09, 0x04,
    0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x01, 0x01,
    0x01, 0x04, 0x0c, 0x04, 0x01, 0x01, 0x02, 0x02, 0x01, 0x02, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x04, 0x02, 0x03, 0x0b, 0x09,
    0x05, 0x05, 0x02, 0x03, 0x03, 0x09, 0x02, 0x05, 0x02, 0x09, 0x01, 0x05,
    0x0d, 0x09, 0x09, 0x09, 0x0d, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x04,
    0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x04, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x09, 0x09, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x03, 0x04,
    0x02, 0x02, 0x03, 0x03, 0x09, 0x02, 0x05, 0x0d, 0x09, 0x03, 0x09, 0x05,
    0x05, 0x05, 0x0d, 0x0d, 0x0d, 0x09, 0x09, 0x09, 0x0d, 0x0d, 0x09, 0x04,
    0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x0d,
    0x01, 0x01, 0x03, 0x09, 0x02, 0x02, 0x02, 0x09, 0x03, 0x09, 0x02, 0x05,
    0x0d, 0x0d, 0x01, 0x05, 0x0d, 0x0d, 0x0d, 0x01, 0x0d, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09,
    0x09, 0x09, 0x09, 0x09, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x04, 0x09, 0x09, 0x02, 0x02, 0x02,
    0x09, 0x03, 0x09, 0x02, 0x05, 0x05, 0x0d, 0x0d, 0x01, 0x01, 0x0d, 0x01,
    0xff, 0xff, 0x0d, 0x09, 0x0d, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x09, 0x09, 0x09, 0x0d, 0x09, 0x09, 0x04, 0x09, 0x04, 0x09,
    0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x04, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x0d, 0x01, 0x01, 0x01, 0x0d, 0x01, 0x01, 0x01, 0x02, 0x09,
    0x09, 0x09, 0x02, 0x02, 0x02, 0x09, 0x01, 0x05, 0x0d, 0x0d, 0x01, 0x0d,
    0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0d, 0x0d, 0x09, 0x09,
    0x0d, 0x09, 0x09, 0x09, 0x0d, 0x09, 0x0d, 0x09, 0x0d, 0x0d, 0x0d, 0x09,
    0x04, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x04, 0x09, 0x04,
    0x01, 0x01, 0x0d, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x0d, 0x02, 0x09, 0x09, 0x09, 0x02, 0x05, 0x05, 0x0d, 0x0d,
    0x01, 0x01, 0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x0d, 0x0d, 0x09, 0x09, 0x09, 0x09, 0x09, 0x0d, 0x09, 0x0d,
    0x0d, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x09, 0x04, 0x01, 0x01, 0x01, 0x0d, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x0d, 0x0d, 0x01, 0x01, 0x01, 0x02, 0x02, 0x09, 0x01, 0x05,
    0x0d, 0x0d, 0x0d, 0x01, 0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0d, 0x0d, 0x09, 0x09,
    0x0d, 0x09, 0x09, 0x0d, 0x09, 0x09, 0x0d, 0x09, 0x09, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x09, 0x01, 0x01, 0x01, 0x0d,
    0x0d, 0x0d, 0x0d, 0x01, 0x01, 0x0d, 0x01, 0x01, 0x0d, 0x01, 0x01, 0x01,
    0x05, 0x05, 0x0d, 0x0d, 0x0d, 0x01, 0x01, 0x01, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x0d, 0x09, 0x09, 0x0d, 0x0d, 0x09, 0x09, 0x09, 0x0d, 0x0d,
    0x09, 0x09, 0x09, 0x04, 0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x09, 0x09,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x0d, 0x0d, 0x01, 0x01,
    0x0d, 0x01, 0x01, 0x01, 0x0d, 0x0d, 0x01, 0x01, 0x0d, 0x01, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x09, 0x0d, 0x09, 0x09,
    0x09, 0x09, 0x0d, 0x0d, 0x0d, 0x0d, 0x09, 0x09, 0x0d, 0x09, 0x09, 0x0d,
    0x09, 0x09, 0x09, 0x09, 0x01, 0x01, 0x0d, 0x0d, 0x01, 0x0d, 0x01, 0x01,
    0x0d, 0x01, 0x01, 0x0d, 0x0d, 0x01, 0x01, 0x0d, 0x01, 0x0d, 0x0d, 0x01,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x09, 0x0d, 0x09, 0x0d, 0x0d, 0x0d, 0x09, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x04, 0x09, 0x09, 0x09, 0x04, 0x04, 0x01, 0x01, 0x0d, 0x01,
    0x01, 0x0d, 0x01, 0x01, 0x0d, 0x0d, 0x01, 0x01, 0x0d, 0x01, 0x0d, 0x0d,
    0x0d, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0d, 0x0d, 0x09, 0x0d,
    0x0d, 0x09, 0x0d, 0x0d, 0x0d, 0x09, 0x04, 0x09, 0x09, 0x0d, 0x09, 0x09,
    0x01, 0x01, 0x0d, 0x01, 0x01, 0x0d, 0x0d, 0x0d, 0x0d, 0x0d, 0x0d, 0x01,
    0x01, 0x0d, 0x0d, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x09, 0x09, 0x09, 0x09, 0x0d, 0x09, 0x0d, 0x09, 0x09, 0x09,
    0x09, 0x09, 0x09, 0x09, 0x01, 0x0d, 0x0d, 0x01, 0x01, 0x01, 0x0d, 0x0d,
    0x0d, 0x0d, 0x0d, 0x0d, 0x0d, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0d, 0x09, 0x09, 0x09,
    0x09, 0x0d, 0x09, 0x0d, 0x0d, 0x0d, 0x09, 0x0d, 0x01, 0x01, 0x01, 0x01,
    0x0d, 0x01, 0x01, 0x0d, 0x0d, 0x0d, 0x01, 0x01, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x09, 0x0d, 0x0d, 0x0d, 0x0d, 0x0d, 0x0d, 0x0d, 0x09, 0x09,
    0x01, 0x0d, 0x01, 0x0d, 0x01, 0x0d, 0x0d, 0x0d, 0x0d, 0x0d, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x09, 0x09, 0x0d, 0x09,
    0x0d, 0x09, 0x09, 0x09, 0x01, 0x0d, 0x0d, 0x01, 0x0d, 0x0d, 0x0d, 0x0d,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x09, 0x0d, 0x0d, 0x0d, 0x0d, 0x09, 0x01, 0x0d, 0x01, 0x01,
    0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0d, 0x0d, 0x09, 0x0d,
    0x0d, 0x0d, 0x0d, 0x0d, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0x0d, 0x09, 0x01, 0x01, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff };

#endif /* __TestMapTile_h__ */
